Search Unity

  1. We are migrating the Unity Forums to Unity Discussions. On July 12, the Unity Forums will become read-only. On July 15, Unity Discussions will become read-only until July 18, when the new design and the migrated forum contents will go live. Read our full announcement for more information and let us know if you have any questions.

Bug Not Showing Option In Editor Page Intruction Criteria...

Discussion in 'In-Editor Tutorials Packages' started by ArturoSR, Apr 3, 2023.

  1. ArturoSR

    ArturoSR

    Joined:
    Feb 21, 2014
    Posts:
    21
    Hello and good day.

    If I try to add a criteria got this... without any error on console.



    Instead of this...



    I tried on 2021 and 2022 (not LTS), without getting a working result, I notice that the documentation it's a quite bit downgrade (the images does not match) and the create Callback Handler button does not exist..

    In documentation:


    In Asset Inspector:


    Maybe there will be some miss take from my part or definately it's another bug, any help will be appreciated, thanks for you attention, have a nice day.
     
  2. MiTschMR

    MiTschMR

    Joined:
    Aug 28, 2018
    Posts:
    529
    Which version of the tutorials package are you using?
     
  3. ArturoSR

    ArturoSR

    Joined:
    Feb 21, 2014
    Posts:
    21
    @MiTschMR The last version showed on 2022.1.24f1
     
  4. MiTschMR

    MiTschMR

    Joined:
    Aug 28, 2018
    Posts:
    529
    Come on… That doesn’t help anyone without them installing the same editor version. What does the package manager say you have installed?
     
  5. ArturoSR

    ArturoSR

    Joined:
    Feb 21, 2014
    Posts:
    21
    When you generate a project with unity version 2022.1.24f1, the only package version you will see in the package manager it's the 1.2.2 for the tutorial authoring tool and the 3.1.3 for the tutorial framework (without any changes).

    In the previous unity version obviously it's different, that's why I mentioned I make the test on 2021 and 2022 (no LTS), which means tha the versions for each one it's the previous one before starting the LTS versions.

    This looks more clear for you @MiTschMR?
     
    MiTschMR likes this.